Download it now!
Bug 56249 - High-resolution OpenDocument icons for Mac OS X are only applied to OASIS document types (e.g., "oasis-text.icns"), not to normal ones (e.g., "text.icns")
Summary: High-resolution OpenDocument icons for Mac OS X are only applied to OASIS doc...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 132909
Blocks: MacOS-Wishlist
  Show dependency treegraph
 
Reported: 2012-10-21 12:11 UTC by Roman Eisele
Modified: 2020-05-10 09:52 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Eisele 2012-10-21 12:11:41 UTC
Nicholas Shanks has supplied “higher-resolution OpenDocument icons for MacOSX” with the following commit:

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0cb1b9685877f6aeaddf1088ae5008e38bade6f9

This was a nice improvement, thank you very much for it!

However, the new high-resolution icon sizes, i.e. 1024x1024 px and 512x512 px, are only inside of the .icns files for the OASIS document types:

    oasis-database.icns
    oasis-drawing-template.icns
    oasis-drawing.icns
    oasis-formula.icns
    oasis-master-document.icns
    oasis-presentation-template.icns
    oasis-presentation.icns
    oasis-spreadsheet-template.icns
    oasis-spreadsheet.icns
    oasis-text-template.icns
    oasis-text.icns

The corresponding “normal” .icns files, which look completely identical (?!), are still only containing up to 128x128 px images:

    drawing-template.icns
    drawing.icns
    formula.icns
    master-document.icns
    presentation-template.icns
    presentation.icns
    spreadsheet-template.icns
    spreadsheet.icns
    text-template.icns
    text.icns

are all missing the 1024x1024 px and 512x512 px images.

Tested with the last master builds for Mac OS X, e.g. LOdev 3.7.0.0.alpha0+ (build ID: c252694; pull time: 2012-10-12 22:05:41).

I can also confirm this if I look at the git repository: the directory

http://cgit.freedesktop.org/libreoffice/core/tree/sysui/desktop/icons/hicolor/1024x1024/mimetypes

contains only *.png images for the “oasis-...” document types, not for the “normal” ones, while e.g. the directory

http://cgit.freedesktop.org/libreoffice/core/tree/sysui/desktop/icons/hicolor/32x32/mimetypes

contains *.png files both for the “oasis-...” document types and for the “normal” ones.


IMHO it should be rather easy to fix this problem: the “normal” .icns files look completely identical to the corresponding OASIS ones, so just copy all missing images from the OASIS .icns files to the “normal” .icns files.


Additional hints:
1) The 1024x1024 px and 512x512 px images are also missing from the
   “extension.icns” file (there is no corresponding “oasis-extension.icns”
   file).

2) There is no “database.icns” file, *only* the “oasis-database.icns” file;
   is this intentional, or should I file another bug report for this?
Comment 1 Roman Eisele 2012-10-21 12:17:46 UTC
@ Nicholas Shanks:

Thank you again for your higher-resolution OpenDocument icons for MacOSX!
This is a bug report about some inconsistency -- some of the .icns files are containing the new high-resolution images, and others don’t. Can you please take a look at this problem? It should be really easy for you to fix this!

Thank you very much!


@ Emir Sarı:
Given that you are interested in these icons issues, can you please check if you can confirm my bug report (by downloading the latest Master/3.7 daily build from
  http://dev-builds.libreoffice.org/daily/
and checking the .icns files inside of the daily build at
  LOdev.app/Contens/Resources/
)? Then please set the status of this bug report to NEW.

Thank you very much!
Comment 2 Emir Sarı 2012-10-21 19:32:26 UTC
Confirmed under OS X 10.7 using latest daily build. 

Changing bug status to new.
Comment 3 Roman Eisele 2012-10-23 07:52:03 UTC
@ Emir Sarı:
> Confirmed under OS X 10.7 using latest daily build. 
Thank you for confirming my report!
Comment 4 Roman Eisele 2012-10-25 09:12:31 UTC
Added to our special Mac meta bug 42082.
Comment 5 Nicholas Shanks 2012-11-26 21:40:25 UTC
> However, the new high-resolution icon sizes, i.e. 1024x1024 px and 512x512
> px, are only inside of the .icns files for the OASIS document types...
> 
> The corresponding “normal” .icns files, which look completely identical
> (?!), are still only containing up to 128x128 px images:
> 
>     drawing-template.icns
>     drawing.icns
>     formula.icns
>     master-document.icns
>     presentation-template.icns
>     presentation.icns
>     spreadsheet-template.icns
>     spreadsheet.icns
>     text-template.icns
>     text.icns
> 
> are all missing the 1024x1024 px and 512x512 px images.

Yes, this is deliberate. I intended to make slightly altered versions for these icons that distinguished the document formats.

At the moment, both icons convey the following information:

1) What media type the document contains (e.g. "presentation")
2) What application is currently assigned to open the document.

I would like to add:

3) What binary format the document is saved in (and thus, convey to knowledgeable individuals what other software they might have available which can read this format through use of common icon elements).

I intended to do this by means of superimposing some identifying feature from the pre-Oasis icons, such as a bird motif, onto the icons. I have yet to get around to this however, as it was not a high priority for me.
Comment 6 Roman Eisele 2012-11-27 18:35:06 UTC
(In reply to comment #5)
> Yes, this is deliberate. I intended to make slightly altered versions for
> these icons that distinguished the document formats.
> [...]
> I intended to do this by means of superimposing some identifying feature
> from the pre-Oasis icons, such as a bird motif, onto the icons. I have yet
> to get around to this however, as it was not a high priority for me.

Ah, thank you very much for the explanation!

However: because the creation of the “slightly altered versions” has low priority (and I completely understand this!), what about if you would just copy *for now* the big icons for the OASIS document types into the icons for the “normal” document types?

This would not be too laborious (I hope) and would at least restore parity between the two icon families ... The current state of affairs (big icons in the one family, but no big icons in the other one) might appear just like an error to normal users. So, just copying the icons would make LibreOffice 3.4 look “complete”, and you would have any time you may want or need to create distinguishable icons for 4.1, 4.2, ... or whatever ;-)

Anyway, thank you very much for the icons!
Comment 7 JIm 2013-05-01 16:28:46 UTC
Im new with the database features and would like to have a little help in getting an interesting start of a data base platform. could one of you please help me?
Comment 8 Emir Sarı 2013-08-02 07:29:14 UTC
Actually it would be great if someone could just fix this as Roman explained. Creating an *even* slightly altered versions would bring inconsistency among platforms, so most logical way would be using the same icons for all file types. 

@Nicholas, it would be nice if you could take a look at this issue when available for you.
Comment 9 Nicholas Shanks 2013-08-02 09:47:42 UTC
I have this weekend earmarked for LO work. I have seen the new Mac build page and meta bug, and will do what I can (although myself, my wife and my three young girls 6, 4 and 2-months, all have a tummy bug right now :-( so i may not get a lot of time)
Comment 10 Emir Sarı 2013-08-02 09:56:55 UTC
@Nicholas, very nice to see you back. :) I'm sorry for the illness, hope you all get well soon...
Comment 11 Alex Thurgood 2015-01-03 17:40:41 UTC Comment hidden (no-value)
Comment 12 QA Administrators 2016-01-17 20:03:43 UTC Comment hidden (obsolete)
Comment 13 QA Administrators 2017-03-06 14:14:01 UTC Comment hidden (obsolete)
Comment 14 eisa01 2017-11-10 21:08:56 UTC
This is still present
Comment 15 eisa01 2020-05-10 09:46:43 UTC
Well, this is in fact "fixed" by no icons having high-resolution options. They're all 256x256 icons now :)

I'm creating a new bug for that